package ru.dbotthepony.mc.otm.menu.input

import net.minecraft.world.entity.player.Player
import ru.dbotthepony.mc.otm.menu.MatteryMenu
import kotlin.reflect.KMutableProperty0

class NetworkedBooleanInput(menu: MatteryMenu) : AbstractNetworkedInput<Boolean>() {
	override val input = menu.booleanInput { consumer?.invoke(it) }
	override val value by menu.mSynchronizer.bool(getter = { supplier?.invoke() ?: false })

	constructor(menu: MatteryMenu, state: KMutableProperty0<Boolean>) : this(menu) {
		with(state)
	}

	fun switchValue() {
		input(!value)
	}
}
