package ru.dbotthepony.mc.otm.menu.input

import ru.dbotthepony.mc.otm.menu.MatteryMenu
import kotlin.reflect.KMutableProperty0

class NetworkedStringInput(menu: MatteryMenu) : AbstractNetworkedInput<String>() {
	override val input = menu.stringInput { consumer?.invoke(it.replace('\u0000', ' ')) }
	override val value by menu.mSynchronizer.string(getter = { supplier?.invoke() ?: "" })

	constructor(menu: MatteryMenu, state: KMutableProperty0<String>) : this(menu) {
		with(state)
	}
}
